import os, sys, inspect

scriptFile = inspect.getfile(inspect.currentframe())
absScriptFile = os.path.abspath(scriptFile)
scriptDir = os.path.dirname(absScriptFile)
moduleDir = os.path.abspath(os.path.join(scriptDir, "..", "..", "common"))
if moduleDir not in sys.path:
    sys.path.insert(0, moduleDir)
import gnu_gcc
gnu_gcc.main(absScriptFile
    , "__PRLGCC_SYSTEM_INCLUDE__"
    , "__PRLGCC_SYSTEM_DEFINE__"
    , "__PRLGCC_COMPILER_BINARY__"
    , "__PRLGCC_COMPILER_BINARY_ALTERNATIVE__"
    , __PRLGCC_ADDITIONAL_ARGS__)
